Subject: bug#51809: 29.0.50; [PATCH] Support for outline default state in Diff buffers

From: Juri Linkov <[email-masked]>
Date: Sun, 14 Nov 2021 22:31:02 +0200

>> Something strange happened recently with diff-mode and outline-minor-mode.
>> I can't use this combination anymore.  While reading your patches, I'm trying
>> to type TAB on the hunk header to hide already viewed hunks of your patch.
>> But TAB does nothing now.  Do you see the same?  TAB is used to hide/show body
>> when outline-minor-mode-cycle is t.
>
> I just tested it: On hunk heading, TAB calls `diff-hunk-next'. On file
> headings TAB cycle visibility. It's what I always observed. Looks crazy
> but not buggy to my eyes.

Before the recent changes, TAB cycled visibility not only on file headings,
but also on hunk headings.  It was very useful to use TAB to cycle visibility
on hunk headings on a long patch where navigating to the file heading
to be able to use TAB on it will take too much time.  It's much easier
to navigate to the nearest hunk heading to cycle its visibility.